> For the complete documentation index, see [llms.txt](https://docs.wawex.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wawex.ai/api-reference/onboardings/offboarding.md).

# Offboarding

## Start Offboarding

> Start offboarding process. Customers, proxies, and beneficial owners can be offboarded if necessary due to cancellation or changes in the company structure.

```json
{"openapi":"3.0.1","info":{"title":"Onboardings","version":"1.0"},"tags":[{"name":"Offboarding","description":"Offboarding of customers"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"schemas":{"StartOffboardingResult":{"title":"StartOffboardingResult","type":"object","properties":{"offboardingId":{"type":"string","format":"uuid","readOnly":true}},"required":["offboardingId"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]},"OffboardingData":{"title":"OffboardingData","type":"object","properties":{"entityType":{"$ref":"#/components/schemas/OffboardingEntityTypeEnum"},"entityId":{"type":"string","format":"uuid","description":"Identification number in UUID format of customer, proxy or beneficial owner depending on the value of `entityType`"},"reason":{"$ref":"#/components/schemas/OffboardingReasonEnum"}},"required":["entityType","entityId","reason"],"description":""},"OffboardingEntityTypeEnum":{"title":"OffboardingEntityTypeEnum","type":"string","enum":["CUSTOMER","PROXY","BENEFICIAL_OWNER"]},"OffboardingReasonEnum":{"title":"OffboardingReasonEnum","type":"string","enum":["CUSTOMER_REQUEST_IMMEDIATE","CANCELLATION_BY_PARTNER_ORDINARY","CANCELLATION_BY_PARTNER_IMMEDIATE","DEATH_IMMEDIATE","DISSOLUTION_IMMEDIATE","INSOLVENCY_IMMEDIATE","COMPANY_STRUCTURE_CHANGES_IMMEDIATE"]}}},"paths":{"/offboardings":{"post":{"summary":"Start Offboarding","operationId":"start-offboarding","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StartOffboardingResult"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Start offboarding process. Customers, proxies, and beneficial owners can be offboarded if necessary due to cancellation or changes in the company structure.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OffboardingData"}}},"description":""},"tags":["Offboarding"]}}}}
```

## Get Offboardings

> Get list of offboardings

```json
{"openapi":"3.0.1","info":{"title":"Onboardings","version":"1.0"},"tags":[{"name":"Offboarding","description":"Offboarding of customers"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"schemas":{"Offboarding":{"type":"object","properties":{"offboardingId":{"type":"string","format":"uuid","readOnly":true},"status":{"$ref":"#/components/schemas/OffboardingStatusEnum"},"entityType":{"$ref":"#/components/schemas/OffboardingEntityTypeEnum"},"entityId":{"type":"string","format":"uuid","description":"Identification number in UUID format of customer, proxy or beneficial owner depending on the value of `entityType`"},"reason":{"$ref":"#/components/schemas/OffboardingReasonEnum"},"createdOn":{"type":"string","format":"date-time","readOnly":true},"modifiedOn":{"type":"string","format":"date-time","readOnly":true}},"required":["createdOn","entityId","entityType","modifiedOn","offboardingId","reason","status"],"title":"Offboarding","description":""},"OffboardingStatusEnum":{"title":"OffboardingStatusEnum","type":"string","enum":["RECEIVED","CREATED","PENDING","INVALID","REJECTED","CANCELED","APPROVED"],"readOnly":true},"OffboardingEntityTypeEnum":{"title":"OffboardingEntityTypeEnum","type":"string","enum":["CUSTOMER","PROXY","BENEFICIAL_OWNER"]},"OffboardingReasonEnum":{"title":"OffboardingReasonEnum","type":"string","enum":["CUSTOMER_REQUEST_IMMEDIATE","CANCELLATION_BY_PARTNER_ORDINARY","CANCELLATION_BY_PARTNER_IMMEDIATE","DEATH_IMMEDIATE","DISSOLUTION_IMMEDIATE","INSOLVENCY_IMMEDIATE","COMPANY_STRUCTURE_CHANGES_IMMEDIATE"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/offboardings":{"get":{"summary":"Get Offboardings","operationId":"get-offboardings","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Offboarding"}}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Get list of offboardings","tags":["Offboarding"],"parameters":[{"schema":{"$ref":"#/components/schemas/OffboardingEntityTypeEnum"},"name":"entityType","in":"query","required":true},{"schema":{"type":"string","format":"uuid"},"name":"entityId","in":"query","required":true,"description":"Unique identification number of offboarded entity type in UUID format."}]}}}}
```

## Get Offboarding

> Get offboarding information

```json
{"openapi":"3.0.1","info":{"title":"Onboardings","version":"1.0"},"tags":[{"name":"Offboarding","description":"Offboarding of customers"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"schemas":{"Offboarding":{"type":"object","properties":{"offboardingId":{"type":"string","format":"uuid","readOnly":true},"status":{"$ref":"#/components/schemas/OffboardingStatusEnum"},"entityType":{"$ref":"#/components/schemas/OffboardingEntityTypeEnum"},"entityId":{"type":"string","format":"uuid","description":"Identification number in UUID format of customer, proxy or beneficial owner depending on the value of `entityType`"},"reason":{"$ref":"#/components/schemas/OffboardingReasonEnum"},"createdOn":{"type":"string","format":"date-time","readOnly":true},"modifiedOn":{"type":"string","format":"date-time","readOnly":true}},"required":["createdOn","entityId","entityType","modifiedOn","offboardingId","reason","status"],"title":"Offboarding","description":""},"OffboardingStatusEnum":{"title":"OffboardingStatusEnum","type":"string","enum":["RECEIVED","CREATED","PENDING","INVALID","REJECTED","CANCELED","APPROVED"],"readOnly":true},"OffboardingEntityTypeEnum":{"title":"OffboardingEntityTypeEnum","type":"string","enum":["CUSTOMER","PROXY","BENEFICIAL_OWNER"]},"OffboardingReasonEnum":{"title":"OffboardingReasonEnum","type":"string","enum":["CUSTOMER_REQUEST_IMMEDIATE","CANCELLATION_BY_PARTNER_ORDINARY","CANCELLATION_BY_PARTNER_IMMEDIATE","DEATH_IMMEDIATE","DISSOLUTION_IMMEDIATE","INSOLVENCY_IMMEDIATE","COMPANY_STRUCTURE_CHANGES_IMMEDIATE"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/offboardings/{offboardingId}":{"get":{"summary":"Get Offboarding","operationId":"get-offboarding","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Offboarding"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Get offboarding information","tags":["Offboarding"]}}}}
```

## Cancel Offboarding

> Cancel created offboarding if not started.

```json
{"openapi":"3.0.1","info":{"title":"Onboardings","version":"1.0"},"tags":[{"name":"Offboarding","description":"Offboarding of customers"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"schemas":{"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/offboardings/{offboardingId}":{"delete":{"summary":"Cancel Offboarding","operationId":"cancel-offboarding","responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Cancel created offboarding if not started.","tags":["Offboarding"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wawex.ai/api-reference/onboardings/offboarding.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
